/**
 * amis-ui v6.12.0-beta.0
 * Copyright 2018-2025 fex
 */

import { useRef, useEffect } from 'react';

var useUpdateEffect = function (effect, deps) {
    var isMounted = useRef(false);
    useEffect(function () {
        if (!isMounted.current) {
            isMounted.current = true;
        }
        else {
            return effect();
        }
        return undefined;
    }, deps);
};

export { useUpdateEffect as default };
